Package org.apache.sling.resourceresolver.impl.providers.tree

# Class PathTree<T extends Pathable>

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.tree.PathTree<T>

public class PathTree<T extends Pathable> extends Object

## Constructor Summary

Constructors
Constructor
Description
`PathTree(List<T> values)`

## Method Summary

Modifier and Type
Method
Description
`Node<T>`
`getBestMatchingNode(String path)`
`Node<T>`
`getNode(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathTree

public PathTree(List<T> values)

## Method Details

### getBestMatchingNode

public Node<T> getBestMatchingNode(String path)

### getNode

public Node<T> getNode(String path)